{
  "name": "sdream-ai-fe",
  "version": "1.0.0",
  "private": true,
  "description": "SDream AI",
  "author": "HoMeTown",
  "scripts": {
    "dev": "rsbuild dev --open",
    "build:sit": "npx rsbuild dev --env-mode sit",
    "build": "rsbuild build",
    "doctor": "RSDOCTOR=true pnpm build",
    "preview": "rsbuild preview",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "typecheck": "tsc --noEmit",
    "prepare": "simple-git-hooks"
  },
  "peerDependencies": {
    "@eslint-react/eslint-plugin": "^1.5.8",
    "@unocss/eslint-plugin": ">=0.50.0",
    "eslint": ">=8.40.0",
    "eslint-plugin-format": ">=0.1.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.4",
    "svelte-eslint-parser": ">=0.37.0"
  },
  "peerDependenciesMeta": {
    "@eslint-react/eslint-plugin": {
      "optional": true
    },
    "eslint-plugin-format": {
      "optional": true
    },
    "eslint-plugin-react-hooks": {
      "optional": true
    },
    "eslint-plugin-react-refresh": {
      "optional": true
    }
  },
  "dependencies": {
    "@nextui-org/react": "^2.4.6",
    "@reactuses/core": "^5.0.19",
    "@virtuoso.dev/message-list": "^1.8.3",
    "clsx": "^2.1.1",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-router-dom": "^6.26.0",
    "react-virtuoso": "^4.9.0",
    "tailwind-merge": "^2.4.0"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^2.24.1",
    "@eslint-react/eslint-plugin": "^1.8.0",
    "@eslint/compat": "^1.1.1",
    "@rsbuild/core": "1.0.1-beta.9",
    "@rsbuild/plugin-less": "1.0.1-beta.9",
    "@rsbuild/plugin-react": "1.0.1-beta.9",
    "@rsbuild/plugin-svgr": "1.0.1-beta.9",
    "@rsbuild/plugin-typed-css-modules": "^1.0.1",
    "@rsdoctor/rspack-plugin": "^0.3.10",
    "@types/node": "^22.0.2",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "eslint": "^9.8.0",
    "eslint-plugin-react-hooks": "^4.6.2",
    "eslint-plugin-react-refresh": "^0.4.9",
    "framer-motion": "^11.3.21",
    "lint-staged": "^15.2.7",
    "simple-git-hooks": "^2.11.1",
    "tailwindcss": "^3.4.7",
    "typescript": "^5.5.2"
  },
  "simple-git-hooks": {
    "pre-commit": "pnpm lint-staged"
  },
  "lint-staged": {
    "*": "eslint --fix"
  }
}
